From f38e8a86650e8a7f72293d81a7392289c298ae5a Mon Sep 17 00:00:00 2001
From: James Felix Black <jfb@homonculus.net>
Date: Thu, 19 Dec 2019 12:29:11 -0500
Subject: [PATCH] Fix macro definition

`define-obsolete-face-alias` claims not to require the third argument,
`when`. However, `when` is not defined `&optional`. This patch addresses
this.
---
 lisp/emacs-lisp/byte-run.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/emacs-lisp/byte-run.el b/lisp/emacs-lisp/byte-run.el
index 1115c09667..27aee3ed4e 100644
--- a/lisp/emacs-lisp/byte-run.el
+++ b/lisp/emacs-lisp/byte-run.el
@@ -448,7 +448,7 @@ CURRENT-NAME, if it does not already have them:
 ;; by the byte-compiler (would be nice if it could warn about obsolete
 ;; faces, but it doesn't really do anything special with faces).
 ;; It only really affects M-x describe-face output.
-(defmacro define-obsolete-face-alias (obsolete-face current-face when)
+(defmacro define-obsolete-face-alias (obsolete-face current-face &optional when)
   "Make OBSOLETE-FACE a face alias for CURRENT-FACE and mark it obsolete.
 If provided, WHEN should be a string indicating when the face
 was first made obsolete, for example a date or a release number."
-- 
2.21.0 (Apple Git-122.2)

